#ifndef _XDVSHOW_SHM_H_
#define _XDVSHOW_SHM_H_

#include <sys/types.h>

struct xdvshow_rtp_param {
  int port;
  struct sockaddr_storage s_addr;

  char *multi_addr_str;
  struct sockaddr_storage multi_s_addr;
  char *multi_ifname;
};

int xdvshow_prepare_shm __P((void *));
void xdvshow_close_shm __P(());

int xdvshow_read_shm __P((u_char **));
int xdvshow_read_unlock __P(());
int xdvshow_read_audio_shm __P((u_char **));
int xdvshow_read_audio_unlock __P(());

void xdvshow_signal_shm __P((int));

#endif /* _XDVSHOW_SHM_H_ */
