#ifndef	_XDVSHOW_XV_H_
#define	_XDVSHOW_XV_H_

#define XV_FORMAT_MASK          0x03
#define XV_FORMAT_ASIS          0x00
#define XV_FORMAT_NORMAL        0x01
#define XV_FORMAT_WIDE          0x02

#define XV_SIZE_MASK            0x0c
#define XV_SIZE_NORMAL          0x04
#define XV_SIZE_QUARTER         0x08

#define XV_NOSAWINDOW           0x10    /* not use at the moment        */

#define DV_FORMAT_UNKNOWN       -1
#define DV_FORMAT_NORMAL        0
#define DV_FORMAT_WIDE          1

struct x_params {
  u_int32_t dv_format_type;
  u_long color_depth;
  u_long decode_format;

  u_char *pixels[3];
  int pitches[3];
};

int xdvshow_open_window __P((char *, struct x_params *));
int xdvshow_close_window __P((void));

int xdvshow_render __P((void));

#endif	/* _XDVSHOW_XV_H_ */
